Bug 1119947 - Review Request: makepp - Compatible but reliable and improved replacement for make
Review Request: makepp - Compatible but reliable and improved replacement for...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 1001452 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 19:03 EDT by Julian Stecklina
Modified: 2016-08-03 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-03 10:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Stecklina 2014-07-15 19:03:22 EDT
Spec URL: http://os.inf.tu-dresden.de/~jsteckli/tmp/makepp.spec
SRPM URL: http://os.inf.tu-dresden.de/~jsteckli/tmp/makepp-2.0.98.5-1.fc20.src.rpm
Description: Makepp, a build program which has a number of features that allow for
reliable builds and simpler build files, is a drop-in replacement for
GNU make. It supports almost all of the syntax that GNU make supports,
and can be used with makefiles produced by utilities such as
automake. It is called makepp (or make++) because it was designed with
special support for C++, which has since been extended to other
languages like Swig or embedded SQL.
Fedora Account System Username: boelthorn

This is my first review request and I need a sponsor. Koji builds this just fine:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7147760
Comment 1 Christopher Meng 2014-07-15 20:43:00 EDT
Thanks for packaging it.
Comment 2 Christopher Meng 2014-07-15 20:43:11 EDT
*** Bug 1001452 has been marked as a duplicate of this bug. ***
Comment 3 Michael Schwendt 2014-07-25 16:59:21 EDT
A quick look at the spec file:


> %doc

To be deleted. An empty %doc line makes no sense. It's a no-op.


> %{_bindir}/*

Sort of sloppy packaging, because this would include anything in the package and would even accept a missing %{_bindir}/%{name} executable. Please be a little more explicit about which files to include, also to increase clearness/comprehensibility of the spec file. A compromise would be to do

  %{_bindir}/%{name}*
  %{_bindir}/mpp*

with the caveat that it would also not fail for an absent %{_bindir}/%{name} file (or other files people expect to be available). Ideal would be to either spell out all files you never want to be missing, or to add a guard that verifies whether e.g. %{buildroot}%{_bindir}/%{name} is available. The %install or %check section is suitable for that.


> %{_mandir}/*

Here the brevity leads to including too many subdirs of %{_mandir}, which belong into the "filesystem" package already and must not be included in your package:

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership


> %{_datadir}/makepp/*
> %{_defaultdocdir}/makepp/*

https://fedoraproject.org/wiki/Packaging:UnownedDirectories
Comment 4 Miroslav Suchý 2016-07-29 09:23:27 EDT
Julian, are you still interrested in? You provided no response to Michael comment. If there will be no response, then this review will be closed.
Comment 5 Julian Stecklina 2016-07-30 13:41:28 EDT
Please close. Unfortunately, I don't have the time to pursue this further.

Note You need to log in before you can comment on or make changes to this bug.